package com.nantian.cloud.dbcapp.mapper.record;
import com.baomidou.mybatisplus.core.mapper.BaseMapper;
import com.nantian.cloud.dbcapp.entity.ConfigureDataCollectNew;
import com.nantian.cloud.dbcapp.entity.TConfigureEnergykinds;
import org.apache.ibatis.annotations.Mapper;
import org.apache.ibatis.annotations.Param;

import java.util.List;
import java.util.Map;

@Mapper
public interface TConfigureEnergykindsMapper extends BaseMapper<TConfigureEnergykinds>{
    List<Map<String, Object>> getList(@Param("epc") String epc);
    List<Map<String, Object>> getKindsList(@Param("epc") String epc);
    List<Map<String, Object>> getNewKindsList(@Param("epc") String epc);
    List<Map<String, Object>> getCollectList(@Param("epc") String epc,@Param("baseCode") String baseCode);


    boolean UpdateconfigureDataCollectNew(@Param("query") ConfigureDataCollectNew configureDataCollectNew);

    List<Map<String, Object>> getNoCollectList(@Param("epc") String epc,@Param("baseCode") String baseCode);
}
